<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * This class provides account management
 *
 * @package    OSB
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2009-2013 Open Source Billing
 * @license    http://dev.osbill.net/license.html
 */
class Controller_Account extends Controller_TemplateDefault {
	protected function group() {
		// List all available groups for this user.
		$output = '';

		foreach ($this->ao->groups() as $go)
			$output .= sprintf('Group %s: %s<br/>',$go->id,$go->display('name'));

		Block::factory()
			->title('Group Structure')
			->body($output);

		// List all available methods for this user.
		$output = '';

		foreach ($this->ao->methods() as $mmo)
			$output .= sprintf('Module: %s, Method %s: %s<br/>',$mmo->module->name,$mmo->name,$mmo->url());

		Block::factory()
			->title('Available Methods')
			->body($output);
	}
}
?>
